
%global meadversion 1.1.10
%global namedversion 1.1.10.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}wildfly-elytron}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.10.Final-redhat-1

Name:           %{?scl_prefix}wildfly-elytron
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Elytron
Group:          Development/Java

%if %with mead
Source100: wildfly-elytron-1.1.10.Final-redhat-1-scm-sources.zip
Source102: wildfly-elytron-1.1.10.Final-redhat-1.jar
Source103: wildfly-elytron-1.1.10.Final-redhat-1-sources.jar
Source104: wildfly-elytron-1.1.10.Final-redhat-1-javadoc.jar
Source105: wildfly-elytron-1.1.10.Final-redhat-1-project-sources.tar.gz
Source106: wildfly-elytron-1.1.10.Final-redhat-1.pom
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-security/wildfly-elytron
%if 0
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.2.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
WildFly Security SPIs.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-elytron
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-elytron -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-elytron-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-elytron-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-elytron-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-elytron-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-elytron-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-elytron-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-elytron-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-elytron-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-elytron-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-elytron-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-elytron
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc src/main/resources/META-INF/LICENSE.txt README.md
%{_javadir}/wildfly-elytron-%{namedversion}.jar
%{_javadir}/wildfly-elytron.jar
%if %with javadoc
%{_javadir}/wildfly-elytron-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-elytron-javadoc.jar
%endif
%{_javadir}/wildfly-elytron-%{namedversion}-sources.jar
%{_javadir}/wildfly-elytron-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-elytron-%{namedversion}
%{_javadocdir}/wildfly-elytron
%endif

%changelog
* Mon May 14 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.1.10-1.Final_redhat_1.1
- upgrade to 1.1.10.Final-redhat-1

* Wed Mar 21 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.9-1.Final_redhat_1.1
- upgrade to 1.1.9.Final-redhat-1

* Mon Jan 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.8-1.Final_redhat_1.1
- upgrade to 1.1.8.Final-redhat-1

* Fri Nov 03 2017 Petr Sakar <psakar@redhat.com> - 1.1.7-1.Final_redhat_1.1
- upgrade to 1.1.7.Final-redhat-1

* Fri Oct 20 2017 Petr Sakar <psakar@redhat.com> - 1.1.6-1.Final_redhat_1.1
- upgrade to 1.1.6.Final-redhat-1

* Fri Oct 13 2017 Petr Sakar <psakar@redhat.com> - 1.1.5-1.Final_redhat_1.1
- upgrade to 1.1.5.Final-redhat-1

* Mon Oct 09 2017 Petr Sakar <psakar@redhat.com> - 1.1.4-1.Final_redhat_1.1
- upgrade to 1.1.4.Final-redhat-1

* Wed Sep 13 2017 Petr Sakar <psakar@redhat.com> - 1.1.2-1.Final_redhat_1.1
- upgrade to 1.1.2.Final-redhat-1

* Fri Aug 25 2017 Petr Sakar <psakar@redhat.com> - 1.1.1-1.Final_redhat_1.1
- upgrade to 1.1.1.Final-redhat-1

* Sun Aug 20 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-19.Final_redhat_1.1
- upgrade to 1.1.0.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-18.CR4_redhat_1.1
- upgrade to 1.1.0.CR4-redhat-1

* Mon Jul 03 2017 Martin Minar <mminar@redhat.com> - 1.1.0-17.CR2_redhat_1.1
- upgrade to 1.1.0.CR2-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-16.CR1_redhat_1.1
- upgrade to 1.1.0.CR1-redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-15.Beta55_redhat_1.1
- upgrade to 1.1.0.Beta55-redhat-1

* Thu Jun 08 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-14.Beta52_redhat_1.1
- upgrade to 1.1.0.Beta52-redhat-1

* Thu May 25 2017 Martin Minar <mminar@redhat.com> - 1.1.0-13.Beta47_redhat_1.1
- update to 1.1.0.Beta47

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 1.1.0-12.Beta42_redhat_1.1
- update to version 1.1.0.Beta42

* Mon Apr 24 2017 Martin Minar <mminar@redhat.com> - 1.1.0-11.Beta38_redhat_1.1
- update to version 1.1.0.Beta38

* Fri Apr 21 2017 Martin Minar <mminar@redhat.com> - 1.1.0-10.Beta36_redhat_1.1
- upgrade to 1.1.0.Beta36-redhat-1

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-9.Beta34_redhat_1.1
- upgrade to 1.1.0.Beta34-redhat-1

* Wed Mar 22 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-8.Beta31_SP1_redhat_1.1
- upgrade to 1.1.0.Beta31-SP1-redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-7.Beta31_redhat_1.1
- upgrade to 1.1.0.Beta31-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-6.Beta27_redhat_1.1
- upgrade to 1.1.0.Beta27-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-5.Beta25_redhat_1.1
- upgrade to 1.1.0.Beta25-redhat-1

* Tue Jan 24 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-4.Beta21_redhat_1.1
- upgrade to 1.1.0.Beta21-redhat-1

* Sun Jan 22 2017 Petr Sakar <psakar@redhat.com> - 1.1.0-3.Beta20_redhat_1.1
- upgrade to 1.1.0.Beta20-redhat-1

* Thu Jan 12 2017 David Walluck <dwalluck@redhat.com> - 1.1.0-2.Beta18_redhat_1.1
- build RPMS for latest version

* Fri Dec 16 2016 Petr Sakar <psakar@redhat.com> - 1.1.0-1.Beta17_redhat_1.1
- upgrade to 1.1.0.Beta17-redhat-1

* Mon Aug 15 2016 Petr Sakar <psakar@redhat.com> - 1.0.3-1.Final_redhat_1.1
- upgrade to 1.0.3.Final-redhat-1

* Fri Nov 20 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.2-1.Final_redhat_1.1
- Upgrade to 1.0.2.Final

* Wed Oct 21 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.1-1.Final_redhat_1.1
- 1.0.1.Final

* Thu Aug 27 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.CR1_redhat_1.1
- Update to 1.0.0.CR1

* Thu Aug 27 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.CR1_redhat_1.1
- Update to 1.0.0.CR1

* Wed Aug 26 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-2.Alpha3_redhat_1.1
- Upgrade to 1.0.0.Alpha3-redhat-1

* Thu Jul 30 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Alpha2_redhat_1.1
- release

